# List shares

`GET https://api.airtable.com/v0/meta/bases/{baseId}/shares`

Lists basic information of base shares.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`workspacesAndBases.shares:manage`](https://airtable.com/developers/web/api/scopes.md#workspaces-and-bases-shares-manage)
- **User role:** Base editor
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `baseId: string`

## Response format

- `shares: array<object>` — required

  - `state: "enabled" | "disabled"` — required

  - `createdByUserId: string` — required

    A user ID

  - `createdTime: string` — required

    A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

  - `restrictedToEnterpriseMembers: boolean` — required

    If true, this share is only accessible by members of the enterprise account. This works in
    conjunction with `effectiveEmailDomainAllowList`.

  - `shareId: string` — required

    The full ShareId (unique identifier for the share).

  - `shareTokenPrefix: string` — required

    Only the first 8 characters of the shareId.

    Please use `shareId` instead.

  - `type: "base" | "view" | "blockInstallation"` — required

  - `canBeSynced: boolean` — optional

    Denotes if the shared view can be synced. View and enterprise specific sync restrictions may also apply.

  - `isPasswordProtected: boolean` — required

  - `blockInstallationId: string` — optional

  - `restrictedToEmailDomains: array<string>` — required

    If non-empty, the email domain restrictions assigned to the share.
    If empty, no domain restrictions are assigned to the share, but higher level ones may still affect it.
    We recommend using effectiveEmailDomainAllowList to understand share accessibility.

  - `viewId: string` — optional

  - `effectiveEmailDomainAllowList: array<string>` — optional

    The effective email domain allow list factoring all restrictions,
    including the share's email domain restrictions and all restrictions above the share
    (e.g. enterprise sharing restrictions). If this field is omitted,
    there are no email domain restrictions on the share. Otherwise, a viewer must have
    an account associated with an email domain included in the allow list. If this list is empty,
    no viewer can see the share
    (e.g. no member of restrictedToEmailDomains is allowed by enterprise-wise sharing restrictions).

### Example — Success response

```sh
curl "https://api.airtable.com/v0/meta/bases/{baseId}/shares" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "shares": [
    {
      "createdByUserId": "usrL2PNC5o3H4lBEi",
      "createdTime": "2019-01-01T00:00:00.000Z",
      "effectiveEmailDomainAllowList": [
        "foobar.com"
      ],
      "isPasswordProtected": true,
      "restrictedToEmailDomains": [
        "foobar.com"
      ],
      "restrictedToEnterpriseMembers": false,
      "shareId": "shr9SpczJvQpfAzSp",
      "shareTokenPrefix": "shr9Spcz",
      "state": "enabled",
      "type": "base"
    },
    {
      "canBeSynced": true,
      "createdByUserId": "usrL2PNC5o3H4lBEi",
      "createdTime": "2019-01-01T00:00:00.000Z",
      "isPasswordProtected": false,
      "restrictedToEmailDomains": [],
      "restrictedToEnterpriseMembers": false,
      "shareId": "shrMg5vs9SpczJvQp",
      "shareTokenPrefix": "shrMg5vs",
      "state": "disabled",
      "type": "view",
      "viewId": "viwQpsuEDqHFqegkp"
    },
    {
      "blockInstallationId": "bliXyN0Q6zfajnDOG",
      "createdByUserId": "usrL2PNC5o3H4lBEi",
      "createdTime": "2019-01-01T00:00:00.000Z",
      "isPasswordProtected": false,
      "restrictedToEmailDomains": [],
      "restrictedToEnterpriseMembers": false,
      "shareId": "shrjjKdhMg5vs9Spc",
      "shareTokenPrefix": "shrjjKdh",
      "state": "disabled",
      "type": "blockInstallation"
    }
  ]
}
```
